---
title: Create an LLM Observability prompt
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > LLM Observability
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Create an LLM Observability prompt{% #create-an-llm-observability-prompt %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                 |
| ----------------- | ------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/llm-obs/v1/prompts |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/llm-obs/v1/prompts |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/llm-obs/v1/prompts      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/llm-obs/v1/prompts      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/llm-obs/v1/prompts  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/llm-obs/v1/prompts |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/llm-obs/v1/prompts     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/llm-obs/v1/prompts |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/llm-obs/v1/prompts |

### Overview

Create a new prompt (and its first version) in the LLM Observability prompt registry. This endpoint requires all of the following permissions:
`llm_observability_read``llm_observability_write``feature_flag_config_read``feature_flag_config_write``feature_flag_environment_config_read` 


### Request

#### Body Data (required)

Create prompt payload.

{% tab title="Model" %}

| Parent field | Field                        | Type          | Description                                                                                                                                            |
| ------------ | ---------------------------- | ------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
|              | data [*required*]       | object        | Data object for creating an LLM Observability prompt.                                                                                                  |
| data         | attributes [*required*] | object        | Attributes for creating an LLM Observability prompt and its first version. `prompt_id` and `template` are required; all other attributes are optional. |
| attributes   | description                  | string        | Optional description of the prompt.                                                                                                                    |
| attributes   | env_ids                      | [string]      | Optional feature-flag environment UUIDs the service attempts to enable and configure to use the first version as their default after creation.         |
| attributes   | labels                       | [string]      | **DEPRECATED**: Optional labels to attach to the first version. Do not use this attribute for new integrations.                                        |
| attributes   | prompt_id [*required*]  | string        | Customer-provided identifier for the new prompt.                                                                                                       |
| attributes   | template [*required*]   |  <oneOf> | A text template or a list of chat messages.                                                                                                            |
| template     | Object 1                     | string        | A text prompt template.                                                                                                                                |
| template     | Object 2                     | [object]      | A chat prompt template.                                                                                                                                |
| Object 2     | content [*required*]    | string        | Content of the message.                                                                                                                                |
| Object 2     | role [*required*]       | string        | Role of the message (for example `system`, `user`, or `assistant`).                                                                                    |
| attributes   | title                        | string        | Optional title of the prompt.                                                                                                                          |
| attributes   | user_version                 | string        | Optional user-supplied version identifier for the first version.                                                                                       |
| data         | type [*required*]       | enum          | Resource type of an LLM Observability prompt. Allowed enum values: `prompt-templates`                                                                  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "prompt_id": "Example-LLM-Observability",
      "title": "Customer Support Assistant",
      "template": [
        {
          "content": "You are a helpful customer support assistant for {{company_name}}.",
          "role": "system"
        },
        {
          "content": "Help {{customer_name}} with this question: {{question}}",
          "role": "user"
        }
      ]
    },
    "type": "prompt-templates"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single LLM Observability prompt.

| Parent field | Field                          | Type      | Description                                                                                                                  |
| ------------ | ------------------------------ | --------- | ---------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]         | object    | Data object for an LLM Observability prompt.                                                                                 |
| data         | attributes [*required*]   | object    | Attributes of an LLM Observability prompt registry entry.                                                                    |
| attributes   | author                         | string    | UUID of the user who authored the prompt.                                                                                    |
| attributes   | created_at                     | date-time | Timestamp when the prompt was created.                                                                                       |
| attributes   | created_from [*required*] | string    | Source that created the prompt, such as `ui-registry`, `sdk-registry`, or `sdk-instrumentation`.                             |
| attributes   | datasets                       | [object]  | Datasets observed in runs associated with this prompt.                                                                       |
| datasets     | id [*required*]           | string    | Unique identifier of the dataset.                                                                                            |
| datasets     | name                           | string    | Name of the dataset.                                                                                                         |
| attributes   | description                    | string    | Description of the prompt.                                                                                                   |
| attributes   | extracted_from                 | string    | Source prompt from which this prompt was extracted, when applicable.                                                         |
| attributes   | in_registry [*required*]  | boolean   | Whether the prompt is a registry entry (as opposed to a code-discovered prompt).                                             |
| attributes   | last_seen_at                   | date-time | Timestamp of the most recent observed run of this prompt.                                                                    |
| attributes   | last_version_created_at        | date-time | Timestamp when the most recent version of the prompt was created.                                                            |
| attributes   | ml_app                         | string    | The ML application this prompt is associated with.                                                                           |
| attributes   | ml_apps                        | [string]  | ML applications observed running this prompt.                                                                                |
| attributes   | num_versions [*required*] | int64     | Number of versions of the prompt.                                                                                            |
| attributes   | prompt_id [*required*]    | string    | Customer-provided identifier of the prompt.                                                                                  |
| attributes   | source [*required*]       | enum      | Whether the prompt was created from the registry or discovered from observed LLM calls. Allowed enum values: `registry,code` |
| attributes   | tags                           | [string]  | Tags observed on runs of this prompt.                                                                                        |
| attributes   | title                          | string    | Title of the prompt.                                                                                                         |
| data         | id [*required*]           | string    | Unique identifier of the prompt.                                                                                             |
| data         | type [*required*]         | enum      | Resource type of an LLM Observability prompt. Allowed enum values: `prompt-templates`                                        |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "author": "3b12f1df-14fd-4e12-bd6f-4a2f5c8b3d1e",
      "created_at": "2025-01-15T10:00:00Z",
      "created_from": "sdk-registry",
      "description": "Answers customer questions using the company knowledge base.",
      "in_registry": true,
      "last_version_created_at": "2025-01-15T10:00:00Z",
      "num_versions": 1,
      "prompt_id": "customer-support-assistant",
      "source": "registry",
      "title": "Customer Support Assistant"
    },
    "id": "4a1a28ff-8a25-5f0f-946f-f48264d772eb",
    "type": "prompt-templates"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="409" %}
Conflict
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/llm-obs/v1/prompts" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "description": "Answers customer questions using the company knowledge base.",
      "prompt_id": "customer-support-assistant",
      "template": [
        {
          "content": "You are a helpful customer support assistant for {{company_name}}.",
          "role": "system"
        },
        {
          "content": "Help {{customer_name}} with this question: {{question}}",
          "role": "user"
        }
      ],
      "title": "Customer Support Assistant"
    },
    "type": "prompt-templates"
  }
}
EOF 
                        
##### 

```go
// Create an LLM Observability prompt returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.LLMObsCreatePromptRequest{
		Data: datadogV2.LLMObsCreatePromptData{
			Attributes: datadogV2.LLMObsCreatePromptDataAttributes{
				PromptId: "Example-LLM-Observability",
				Title:    datadog.PtrString("Customer Support Assistant"),
				Template: datadogV2.LLMObsPromptTemplate{
					LLMObsPromptChatTemplate: &datadogV2.LLMObsPromptChatTemplate{Items: []datadogV2.LLMObsPromptChatMessage{
						{
							Content: "You are a helpful customer support assistant for {{company_name}}.",
							Role:    "system",
						},
						{
							Content: "Help {{customer_name}} with this question: {{question}}",
							Role:    "user",
						},
					}}},
			},
			Type: datadogV2.LLMOBSPROMPTTYPE_PROMPT_TEMPLATES,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.CreateLLMObsPrompt", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewLLMObservabilityApi(apiClient)
	resp, r, err := api.CreateLLMObsPrompt(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `LLMObservabilityApi.CreateLLMObsPrompt`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `LLMObservabilityApi.CreateLLMObsPrompt`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Create an LLM Observability prompt returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.LlmObservabilityApi;
import com.datadog.api.client.v2.model.LLMObsCreatePromptData;
import com.datadog.api.client.v2.model.LLMObsCreatePromptDataAttributes;
import com.datadog.api.client.v2.model.LLMObsCreatePromptRequest;
import com.datadog.api.client.v2.model.LLMObsPromptChatMessage;
import com.datadog.api.client.v2.model.LLMObsPromptChatTemplate;
import com.datadog.api.client.v2.model.LLMObsPromptResponse;
import com.datadog.api.client.v2.model.LLMObsPromptTemplate;
import com.datadog.api.client.v2.model.LLMObsPromptType;
import java.util.Arrays;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.createLLMObsPrompt", true);
    LlmObservabilityApi apiInstance = new LlmObservabilityApi(defaultClient);

    LLMObsCreatePromptRequest body =
        new LLMObsCreatePromptRequest()
            .data(
                new LLMObsCreatePromptData()
                    .attributes(
                        new LLMObsCreatePromptDataAttributes()
                            .promptId("Example-LLM-Observability")
                            .title("Customer Support Assistant")
                            .template(
                                new LLMObsPromptTemplate(
                                    new LLMObsPromptChatTemplate(
                                        Arrays.asList(
                                            new LLMObsPromptChatMessage()
                                                .content(
                                                    "You are a helpful customer support assistant"
                                                        + " for {{company_name}}.")
                                                .role("system"),
                                            new LLMObsPromptChatMessage()
                                                .content(
                                                    "Help {{customer_name}} with this question:"
                                                        + " {{question}}")
                                                .role("user"))))))
                    .type(LLMObsPromptType.PROMPT_TEMPLATES));

    try {
      LLMObsPromptResponse result = apiInstance.createLLMObsPrompt(body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling LlmObservabilityApi#createLLMObsPrompt");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```python
"""
Create an LLM Observability prompt returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.llm_observability_api import LLMObservabilityApi
from datadog_api_client.v2.model.llm_obs_create_prompt_data import LLMObsCreatePromptData
from datadog_api_client.v2.model.llm_obs_create_prompt_data_attributes import LLMObsCreatePromptDataAttributes
from datadog_api_client.v2.model.llm_obs_create_prompt_request import LLMObsCreatePromptRequest
from datadog_api_client.v2.model.llm_obs_prompt_chat_message import LLMObsPromptChatMessage
from datadog_api_client.v2.model.llm_obs_prompt_type import LLMObsPromptType

body = LLMObsCreatePromptRequest(
    data=LLMObsCreatePromptData(
        attributes=LLMObsCreatePromptDataAttributes(
            prompt_id="Example-LLM-Observability",
            title="Customer Support Assistant",
            template=[
                LLMObsPromptChatMessage(
                    content="You are a helpful customer support assistant for {{company_name}}.",
                    role="system",
                ),
                LLMObsPromptChatMessage(
                    content="Help {{customer_name}} with this question: {{question}}",
                    role="user",
                ),
            ],
        ),
        type=LLMObsPromptType.PROMPT_TEMPLATES,
    ),
)

configuration = Configuration()
configuration.unstable_operations["create_llm_obs_prompt"] = True
with ApiClient(configuration) as api_client:
    api_instance = LLMObservabilityApi(api_client)
    response = api_instance.create_llm_obs_prompt(body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Create an LLM Observability prompt returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.create_llm_obs_prompt".to_sym] = true
end
api_instance = DatadogAPIClient::V2::LLMObservabilityAPI.new

body = DatadogAPIClient::V2::LLMObsCreatePromptRequest.new({
  data: DatadogAPIClient::V2::LLMObsCreatePromptData.new({
    attributes: DatadogAPIClient::V2::LLMObsCreatePromptDataAttributes.new({
      prompt_id: "Example-LLM-Observability",
      title: "Customer Support Assistant",
      template: [
        DatadogAPIClient::V2::LLMObsPromptChatMessage.new({
          content: "You are a helpful customer support assistant for {{company_name}}.",
          role: "system",
        }),
        DatadogAPIClient::V2::LLMObsPromptChatMessage.new({
          content: "Help {{customer_name}} with this question: {{question}}",
          role: "user",
        }),
      ],
    }),
    type: DatadogAPIClient::V2::LLMObsPromptType::PROMPT_TEMPLATES,
  }),
})
p api_instance.create_llm_obs_prompt(body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```rust
// Create an LLM Observability prompt returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_llm_observability::LLMObservabilityAPI;
use datadog_api_client::datadogV2::model::LLMObsCreatePromptData;
use datadog_api_client::datadogV2::model::LLMObsCreatePromptDataAttributes;
use datadog_api_client::datadogV2::model::LLMObsCreatePromptRequest;
use datadog_api_client::datadogV2::model::LLMObsPromptChatMessage;
use datadog_api_client::datadogV2::model::LLMObsPromptTemplate;
use datadog_api_client::datadogV2::model::LLMObsPromptType;

#[tokio::main]
async fn main() {
    let body = LLMObsCreatePromptRequest::new(LLMObsCreatePromptData::new(
        LLMObsCreatePromptDataAttributes::new(
            "Example-LLM-Observability".to_string(),
            LLMObsPromptTemplate::LLMObsPromptChatTemplate(vec![
                LLMObsPromptChatMessage::new(
                    "You are a helpful customer support assistant for {{company_name}}."
                        .to_string(),
                    "system".to_string(),
                ),
                LLMObsPromptChatMessage::new(
                    "Help {{customer_name}} with this question: {{question}}".to_string(),
                    "user".to_string(),
                ),
            ]),
        )
        .title("Customer Support Assistant".to_string()),
        LLMObsPromptType::PROMPT_TEMPLATES,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.CreateLLMObsPrompt", true);
    let api = LLMObservabilityAPI::with_config(configuration);
    let resp = api.create_llm_obs_prompt(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Create an LLM Observability prompt returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.createLLMObsPrompt"] = true;
const apiInstance = new v2.LLMObservabilityApi(configuration);

const params: v2.LLMObservabilityApiCreateLLMObsPromptRequest = {
  body: {
    data: {
      attributes: {
        promptId: "Example-LLM-Observability",
        title: "Customer Support Assistant",
        template: [
          {
            content:
              "You are a helpful customer support assistant for {{company_name}}.",
            role: "system",
          },
          {
            content: "Help {{customer_name}} with this question: {{question}}",
            role: "user",
          },
        ],
      },
      type: "prompt-templates",
    },
  },
};

apiInstance
  .createLLMObsPrompt(params)
  .then((data: v2.LLMObsPromptResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
